/*
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: InputTextUIBean.java 62525 2011-04-15 12:14:31Z dougd $
 */
package com.sun.ts.tests.jsf.spec.render.inputtext;

import javax.faces.component.html.HtmlInputText;

public class InputTextUIBean {

    private HtmlInputText greeting;

    public HtmlInputText getGreeting() {
        return greeting;
    }

    public void setGreeting(HtmlInputText greeting) {
        greeting.setStyleClass("text");
        greeting.setSize(10);
        greeting.setValue("hello");

        this.greeting = greeting;
    }
}
